Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.endpoint
Class AnnotatedEndpointData

    java.lang.Object
      org.mule.config.endpoint.AnnotatedEndpointData

    public class AnnotatedEndpointData

extends Object

Provides a generic endpoint data wrapper so that we can just use a single method for processing endpoints and reduce a load of duplication

Constructor Summary
`AnnotatedEndpointData(MessageExchangePattern mep, ChannelType type, Annotation annotation)`

Method Summary
`static Map` | `convert(String[] properties)`
`protected String` | `emptyToNull(String value)`
`String` | `getAddress()`
`Annotation` | `getAnnotation()`
`Connector` | `getConnector()`
`String` | `getConnectorName()`
`String` | `getCorrelationExpression()`
`String` | `getEncoding()`
`String` | `getFilter()`
`MessageExchangePattern` | `getMep()`
`String` | `getName()`
`Map` | `getProperties()`
`String` | `getTransformers()`
`ChannelType` | `getType()`
`void` | `setAddress(String address)`
`void` | `setConnector(Connector connector)`
`void` | `setConnectorName(String connectorName)`
`void` | `setCorrelationExpression(String correlationExpression)`
`void` | `setEncoding(String encoding)`
`void` | `setFilter(String filter)`
`void` | `setMEPUsingMethod(Method method)`
`void` | `setName(String name)`
`void` | `setProperties(Map properties)`
`void` | `setTransformers(String transformers)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotatedEndpointData

    public AnnotatedEndpointData(MessageExchangePattern mep,
                                 ChannelType type,
                                 Annotation annotation)

Method Detail

### emptyToNull

    protected String emptyToNull(String value)

### getConnectorName

    public String getConnectorName()

### getEncoding

    public String getEncoding()

### getAddress

    public String getAddress()

### getProperties

    public Map getProperties()

### getType

    public ChannelType getType()

### getFilter

    public String getFilter()

### getCorrelationExpression

    public String getCorrelationExpression()

### getConnector

    public Connector getConnector()

### setConnector

    public void setConnector(Connector connector)

### getTransformers

    public String getTransformers()

### getName

    public String getName()

### setName

    public void setName(String name)

### setEncoding

    public void setEncoding(String encoding)

### getAnnotation

    public Annotation getAnnotation()

### setProperties

    public void setProperties(Map properties)

### setConnectorName

    public void setConnectorName(String connectorName)

### setTransformers

    public void setTransformers(String transformers)

### setAddress

    public void setAddress(String address)

### setFilter

    public void setFilter(String filter)

### setCorrelationExpression

    public void setCorrelationExpression(String correlationExpression)

### getMep

    public MessageExchangePattern getMep()

### setMEPUsingMethod

    public void setMEPUsingMethod(Method method)

### convert

    public static Map convert(String[] properties)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.